# Batch update prices **POST /v2/api/prices/batch** Upserts prices for multiple SKUs. Custom prices can be set via customPrices JSON mapped to account configuration. Existing custom prices are preserved if not updated (COALESCE). SKUs must exist before creating prices. Returns a BatchResponse for each price update request with success/failure details. ## Servers - https://api.maddenanalytics.com: https://api.maddenanalytics.com () ## Parameters ### Body: application/json (array[object]) Array of price updates. Use customPrices for custom prices mapped to your account's field configuration. - **customPrice1** (number) - **customPrice2** (number) - **customPrice3** (number) - **customPrice4** (number) - **key** (string) Key used between products, transaction & stock tables. Usually SKU or EAN but needs to be same on all occurrences - **listExternalID** (string) ID of Price list in external platform - **price** (number) - **season** (string) Season that the key belong to. Only used for product versioning. - **vat** (number) ## Responses ### 200 OK #### Body: application/json (array[object]) - **message** (string) - **reference** (string) - **referenceField** (string) - **statusCode** (integer) ### 400 Bad request - invalid input #### Body: application/json (object) - **error** (string) - **message** (string) - **statusCode** (integer) ### default All errors will return the same object with a describing code & message #### Body: application/json (array[object]) - **message** (string) - **reference** (string) - **referenceField** (string) - **statusCode** (integer) [Powered by Bump.sh](https://bump.sh)